Package Details: i3pystatus r1721.0d7156b-1

Git Clone URL: https://aur.archlinux.org/i3pystatus.git (read-only)
Package Base: i3pystatus
Description: i3status replacement written in python for the i3 window manager
Upstream URL: https://github.com/enkore/i3pystatus
Licenses: MIT
Submitter: numkem
Maintainer: WhyNotHugo
Last Packager: WhyNotHugo
Votes: 30
Popularity: 0.763502
First Submitted: 2014-05-01 11:51
Last Updated: 2018-08-12 20:01

Dependencies (12)

Required by (0)

Sources (1)

Latest Comments

WhyNotHugo commented on 2018-08-12 19:58

@meriops: Most AUR helpers will complain if non-VCS packages change the version via pkgver.

You can remove this bit to pull the latest master if you're building manually:

-source=("git+https://github.com/enkore/i3pystatus.git#commit=$_pkgrev") +source=("git+https://github.com/enkore/i3pystatus.git")

meriops commented on 2018-08-11 07:04

Since there are no more releases, would it be possible to point the PGKBUILD to the latest master on github rather than to a specific commit? Then the patch mentioned by @mmozeiko would not be necessary...

mmozeiko commented on 2018-08-07 05:21

After Python 3.7 upgrade you'll want this patch: https://github.com/enkore/i3pystatus/pull/662/commits/eaa16030af0d7b2007eceed5e6d992c5afac2cfa

pablo1 commented on 2017-01-23 12:07

File "/usr/lib/python3.6/site-packages/i3pystatus/google_calendar.py", line 6, in <module>
from apiclient import discovery
File "/usr/lib/python3.6/site-packages/apiclient/__init__.py", line 18, in <module>
from googleapiclient import channel
File "/usr/lib/python3.6/site-packages/googleapiclient/channel.py", line 63, in <module>
from googleapiclient import errors
File "/usr/lib/python3.6/site-packages/googleapiclient/errors.py", line 26, in <module>
from oauth2client import util
ImportError: cannot import name 'util'



There seem to be missing some dependencies

WhyNotHugo commented on 2016-09-01 19:50

This has been reported upstream, and fixed for -git and the next release.

zganus commented on 2016-09-01 17:16

python-netifaces 0.10.5-1 broke the network module for me.
ipv6 netmask now looks like ffff:ffff:ffff:ffff::/64 whereas it used to be ffff:ffff:ffff:ffff:: and this brokes the parsing.

whitelynx commented on 2016-06-23 16:32

Please add `python-gobject` as an optional dependency; it is needed for desktop notifications. (see https://github.com/enkore/i3pystatus/blob/master/i3pystatus/core/desktop.py#L33 - the `gi` module is part of `python-gobject`)

mihok commented on 2015-10-14 03:27

Actually, after commenting on the github project, Ive realized that it does work it just requires you to uninstall the current version. Once uninstalled, you can rebuild the AUR package. This is also a requirement if you install any of the optional dependencies.

mihok commented on 2015-10-13 18:28

Once you update arch linux i3pystatus becomes unusable, needs to update to python 3.5 (https://pypi.python.org/pypi/i3pystatus/3.5)

bparmentier commented on 2014-10-15 23:54

Please replace the "basiciw-git" dependency with "python-basiciw-git".